Skip to main content
summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMarvin Mueller2019-06-04 03:05:32 -0400
committerMarvin Mueller2019-06-04 03:57:08 -0400
commita745e5d8c32d69da514d229a35374421f6d70b19 (patch)
treec3e9d71d25fdf7dd06c7bb0d7d73f034e01d60cb
parent3c3d14bc9a7a6c6034791454219823b5aba5502f (diff)
downloadorg.eclipse.jubula.core-a745e5d8c32d69da514d229a35374421f6d70b19.tar.gz
org.eclipse.jubula.core-a745e5d8c32d69da514d229a35374421f6d70b19.tar.xz
org.eclipse.jubula.core-a745e5d8c32d69da514d229a35374421f6d70b19.zip
Fix for Bug 547865HEADmaster
Setting the javax.xml.bind as required bundle in all the project where we use dom4j solved to problem since the dependency resolution has now only one possibilty. Change-Id: I8e28e3ec942eb04f676823a1b6dba40281d69e15
-rw-r--r--org.eclipse.jubula.client.core/META-INF/MANIFEST.MF1
-rw-r--r--org.eclipse.jubula.client.ui.rcp/META-INF/MANIFEST.MF1
2 files changed, 2 insertions, 0 deletions
diff --git a/org.eclipse.jubula.client.core/META-INF/MANIFEST.MF b/org.eclipse.jubula.client.core/META-INF/MANIFEST.MF
index 3e66cc215..7630feb33 100644
--- a/org.eclipse.jubula.client.core/META-INF/MANIFEST.MF
+++ b/org.eclipse.jubula.client.core/META-INF/MANIFEST.MF
@@ -52,6 +52,7 @@ Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.6.0,4.0.0)",
org.eclipse.jface;bundle-version="[3.6.1,4.0.0)";resolution:=optional,
org.h2;bundle-version="[1.1.117,2.0.0)",
org.eclipse.core.expressions;bundle-version="[3.0.0,4.0.0)",
+ javax.xml.bind;bundle-version="[2.2.0,3.0.0)",
org.dom4j;bundle-version="[1.6.1,2.0.0)",
org.apache.poi;bundle-version="[3.9.0,4.0.0)",
org.apache.poi.ooxml;bundle-version="[3.9.0,4.0.0)",
diff --git a/org.eclipse.jubula.client.ui.rcp/META-INF/MANIFEST.MF b/org.eclipse.jubula.client.ui.rcp/META-INF/MANIFEST.MF
index dba984d77..1f2ef51b7 100644
--- a/org.eclipse.jubula.client.ui.rcp/META-INF/MANIFEST.MF
+++ b/org.eclipse.jubula.client.ui.rcp/META-INF/MANIFEST.MF
@@ -60,6 +60,7 @@ Require-Bundle: org.eclipse.jubula.tools;bundle-version="[4.0.0,5.0.0)",
org.eclipse.mylyn.tasks.core;bundle-version="[3.19.0,4.0.0)",
org.eclipse.mylyn.wikitext.ui;bundle-version="[1.7.0,4.0.0)",
org.eclipse.jubula.client.alm.mylyn.core;bundle-version="[7.0.0,8.0.0)",
+ javax.xml.bind;bundle-version="[2.2.0,3.0.0)",
org.dom4j;bundle-version="[1.6.1,2.0.0)",
org.apache.oro;bundle-version="[2.0.8,3.0.0)",
org.apache.commons.codec;bundle-version="[1.3.0,2.0.0)",

Back to the top